---
title: Idea e strumenti tecnici usati
sidebar: mydoc_sidebar
summary: "Installazione di una macchina per i dati della comunità - about"
permalink: mydoc_about.html
folder: mydoc
---

# About

La macchina ha un sistema operativo della famiglia unix-like: Debian.

Stiamo usando docker per gestire le immagini dei software che vogliamo usare e Lets encript per gestire i certificati SSL.


## Operazioni base su Debian

Appena loggata sul server puoi vedere se la macchina è aggiornata:


### Aggiornare il sistema operativo


    apt update

    apt upgrade


### Vedere gli ultimi comandi dati

    nano .bash_history


Oppure se è un comando dato da poco: freccia su; oppure se lo vuoi cercare al volo nella bash_history:  ctrl+r  e poi digiti la parola da cercare.

## Autenticarsi ssh:

Requisiti: 
* chiave segreta
* pasw segreta
* software ssh installato sul proprio pc

Digitare in un terminale:

~$ssh-add .ssh/campiaperti

$ssh-add ~/.ssh/campiaperti

Se ti dice che i permessi sono sbagliati fai:

nella cartellina dove hai la chiave scrivi -ls -l così vedi di chi sono i file.

Il tuo file della chiaveprivata deve essere accessibile, in lettura e uso solo dal tuo utente.

in grafica: clicca sul file con il pulsante destro, scegli propriet- > permessi e setta:

* me: leggiscrivi
* gruppo: nessuno
* altri:nessuno

quindi cambi i permessi e poi ci riprovi. gli metti la password e fatto!

approfondimenti: https://it.wikipedia.org/wiki/RSA

Per connetterti un avolta aggiunta la chiave:

	ssh -p 2222 -l root campiaperti.tetaneutral.net


### Caricare i file da ssh

upload: local -> remote

caricare: dal locale al remoto
  
	scp local_file user@remote_host:remote_file

Quindi un esempio

	scp -P 2222 Scrivania/CA_tutto/SERVER-campiaperti/CA_logo_2017.svg  root@campiaperti.tetaneutral.net:/var/app/themes/dispensatheme/core/img

### Comandi da terminale

https://www.cyberciti.biz/open-source/command-line-hacks/20-unix-command-line-tricks-part-i/

https://www.commandlinefu.com/commands/browse

## Cose utili su docker

### comandi base


    docker images

    REPOSITORY              TAG                 IMAGE ID            CREATED             SIZE
    mariadb                 latest              67238b4c1da0        2 months ago        365MB
    nextcloud               latest              90058de5a0f0        3 months ago        564MB
    hello-world             latest              4ab4c602aa5e        4 months ago        1.84kB
    mysql                   latest              6a834f03bd02        4 months ago        484MB
    phpmyadmin/phpmyadmin   latest              126b8717cebb        4 months ago        166MB

Queste sono le immagini, quindi i "modelli" che abbiamo installato.

Per vedere i "container" che stiamo usando:

    docker stats

Per vederle tutte:

    docker ps -a


### comandi di aggiornamento delle immagini

    docker pull nextcloud

Questo aggiorna l'immagine nextcloud. non il container.






{% include links.html %}
